LFR-FSW - Bug #108

Champs TIME et ACQUISITION_TIME différents dans les TM_LFR_SCIENCE_*
31/03/2014 04:59 PM - bruno katra

Status: Closed Start date: 31/03/2014
Priority: Immediate Due date:

Assignee: bruno katra % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.10 hour
revision: r0

Description

Dans les TM science, les 2 champs TIME ont des valeurs différentes alors que ceux-ci devraient avoir la méme valeur
ACQUISITION_TIME qui est le temps du premier échantillon du paquet (SSS-CP-EQS-410).

15:31:35.368491, TM_LFR_SCIENCE_BURST CWF _F2, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TM_PACKET = 0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID 2 = 76, PACKET CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET _ID=0xccc), SEGMENTATION_GROUPING FLAG:
STANDALONE_PACKET = 3, SEQUENCE_CNT=0, (PACKET _SEQUENCE_CONTROL=0xc000), PACKET LENGTH=4051,
SPARE_1=0, PUS_VERSION = 1, SPARE_2-0, SERVICE_TYPE: SCIENCE_DATA TRANSFER = 21, SERVICE_SUBTYPE:
SCIENCE_REPORT = 3, DESTINATION_ID: GROUND = 0, TIME=0x800001fd7f1b, PA_LFR_SID_PKT: SC_B_CWF_F2 = 2,
PA_BIA_MODE_MUX_SET: SET_0 =0, PA_BIA_MODE_HV_ENABLED: ENABLED = 1, PA_BIA_MODE_BIAS1_ENABLED:
ENABLED = 1, PA_BIA_MODE_BIAS2_ENABLED: ENABLED = 1, PA_BIA_MODE_BIAS3_ENABLED: ENABLED = 1, SPARE:
0x0, PA_LFR_ACQUISITION_TIME=0x800001f30000, PA_LFR_CWF_BLK_NR=336

Contexte:
LPPMON Version=0.2.2 - Branch=default - Changeset=835955994d5f

Carte mini-LFR: LFR-172200 dev V1.0; No série 5
Vhdl: 0.0.16
Soft: 1.0.0.3 (variante sur carte finale) = r109

Brique Star-Dundee S/N illisible.
RPW-SYS-MEB-LFR-ICD-00097 Issue2_Rev2

RPW-SYS-SSS-00013-LES + Annex_Release_Definition Issue2_rev2
RPW-SYS---ICD-00067-LES_Issue2 Rev2 RPW_IDB_Parameter_Definition

History

#1 - 01/04/2014 07:30 AM - paul leroy

- Status changed from New to Resolved

fsw >=1.0.0.5
Les champs TIME et ACQUISITION_TIME sont maintenant identiques dans les paquets SWF et CWF..

#2 - 06/05/2014 05:39 PM - bruno katra

- Assignee changed from paul leroy to bruno katra

#3 - 06/05/2014 05:44 PM - bruno katra

Script python dans SVS-0090 : generate_science_all_modes.py, passe dans tous les modes de LFR et attend assez longtemps pour recevoir tous
les types de TM SCIENCE (y compris CWF3_LONG et ASM).

Lancé le 6/05/2014 pour dépouillement et validation du requirement.

Je fais :

- NORMAL : 3700 sec pour avoir CWF/SWF et ASM

- Les autres modes : 30 pour avoir tous les paquets

- je repasse en STANDBY et je charge les parametres pour avoir du CWF_F3 LONG
- je repasse en NORMAL pendant 3700 sec pour avoir du CWF_LONG/SWF et ASM
- je repasse en STANDBY
Donc normalement les fichiers de traces detail et autres qui seront générés ce soir en dernier contiendront TOUS les paquets SCIENCE possible.
A+

bRunO

#4 - 07/05/2014 05:20 PM - bruno katra
- Status changed from Resolved to Feedback

- Assignee changed from bruno katra to paul leroy

Nouveaux tests avec version 1.0.0.6 du soft de vol : tous les paquets CWF et SWF ont maintenant les champs TIME et ACQUISITION_TIME a la
méme valeur.

e || reste les paquets de Basic Parameters (BP1/2 tous les modes) qui ont des TIME et ACQUISITION_TIME différents.
Exemple :

17:31:21.183587, TM_LFR_SCIENCE_NORMAL_BP1_F0, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET =0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0xccc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=0, (PACKET_SEQUENCE_CONTROL=0xc000), PACKET_LENGTH=119, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0,
SERVICE_TYPE: SCIENCE_DATA_TRANSFER = 21, SERVICE_SUBTYPE: SCIENCE_REPORT = 3, DESTINATION_ID: GROUND = 0,
TIME=0x800000049901, PA_LFR_SID_PKT: SC_N_BP1_F0 = 14, PA_BIA_MODE_MUX_SET: SET_0 =0, PA_BIA_MODE_HV_ENABLED:
DISABLED = 0, PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED: DISABLED =0,
PA_BIA_MODE_BIAS3_ENABLED: DISABLED =0, PA_BIA_ON_OFF: OFF = 0, PA_LFR_ACQUISITION_TIME=0x000099014{40

¢ Aussi, concernant les paquets ASM_F0/1/2 : certains ont bien le TIME et ACQUISITION_TIME égaux mais certains non.$
Exemple, 1 matrice spectrale = 2 paquets ASM_F1 : le 1er est faux, le 2eme est bon.

18:31:17.039834, TM_LFR_SCIENCE_NORMAL_ASM_F1, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET =0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0xccc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENGCE_CNT=0, (PACKET_SEQUENCE_CONTROL=0xc000), PACKET LENGTH=2621, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0,
SERVICE_TYPE: SCIENCE_DATA_TRANSFER = 21, SERVICE_SUBTYPE: SCIENCE_REPORT = 3, DESTINATION_ID: GROUND = 0,
TIME=0x80000e10839a, PA_LFR_SID_PKT: SC_N_ASM_F1 = 12, PA_BIA_MODE_MUX_SET: SET_0 = 0, PA_BIA_MODE_HV_ENABLED:
DISABLED = 0, PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED: DISABLED = 0,

PA _BIA_MODE_BIAS3_ENABLED: DISABLED = 0, PA_BIA_ON_OFF: OFF = 0, PA_LFR_PKT CNT_ASM=2, PA_LFR_PKT_NR_ASM=1
PA_LFR_ACQUISITION_TIME=0x80000e10839b, PA_LFR_ASM_F1_BLK_NR=52

18:31:17.044536, TM_LFR_SCIENCE_NORMAL_ASM_F1, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TM_PACKET = 0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0xccc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=0, (PACKET_SEQUENCE_CONTROL=0xc000), PACKET LENGTH=2621, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0,
SERVICE_TYPE: SCIENCE_DATA_TRANSFER = 21, SERVICE_SUBTYPE: SCIENCE_REPORT = 3, DESTINATION_ID: GROUND = 0,
TIME=0x80000e108404, PA_LFR_SID_PKT: SC_N_ASM_F1 = 12, PA_BIA_MODE_MUX_SET: SET_0 = 0, PA_BIA_MODE_HV_ENABLED:
DISABLED = 0, PA_BIA_MODE_BIAS1_ENABLED: DISABLED =0, PA_BIA_MODE_BIAS2_ENABLED: DISABLED = 0,
PA_BIA_MODE_BIAS3_ENABLED: DISABLED = 0, PA_BIA_ON_OFF: OFF = 0, PA_LFR_PKT_CNT_ASM=2, PA_LFR_PKT_NR_ASM=2
PA_LFR_ACQUISITION_TIME=0x80000e108404, PA_LFR_ASM_F1_BLK_NR=52

Contexte:
LPPMON Version=0.2.2 - Branch=default - Changeset=835955994d5f

Carte mini-LFR: LFR-172200 dev V1.0; No série 5
Vhdl: 0.0.16
Soft: 1.0.0.6 (variante sur carte finale)

Brique Star-Dundee S/N 46120065.

Scripts utilisés :
SVS-0090/generate_science_all_modes.py (BKA)
Analyse des traces (script bash) = SVS-0090/extract_v1 (VBO)

RPW-SYS-MEB-LFR-ICD-00097 Issue2_Rev2
RPW-SYS-SSS-00013-LES + Annex_Release_Definition Issue2_rev2
RPW-SYS---ICD-00067-LES_Issue2_Rev2_ RPW_IDB_Parameter_Definition

#5 - 15/05/2014 12:06 PM - paul leroy
- Status changed from Feedback to Resolved

- Assignee changed from paul leroy to bruno katra
fsw >=1.0.0.7
bug identifié et corrigé pour les paquets BP et ASM

#6 - 11/06/2014 09:26 AM - Veronique bouzid
- Assignee changed from bruno katra to paul leroy

- Priority changed from Normal to Immediate

Nouveaux tests avec 1.0.0.7.

Le script lancé est /home/Ifr/Solar/validation_scratch/Ifrverif/LFR_SVS/SVS-0090/generate_science_all_modes.py
Le fichier qui contient les résultats est 2014_06_10-11_50_52-Detail.txt

Tous les TM sont corrects sauf TM_LFR_SCIENCE_NORMAL_BP1_F1.

1864 paquets ont été générés et aucun n'a le champ TIME egal a PA_LFR_ACQUISITION_TIME.
Ce dernier semble faux car il se décremente au lieu de s incrementer et bit de synchro erroné. Le fine time est tjs egal a f2de.

Voici la trace des 3 premiers paquets

9:46:02.272267, TM_LFR_SCIENCE_NORMAL_BP1_F1, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET =0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0xccc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=2, (PACKET_SEQUENCE_CONTROL=0xc002), PACKET_LENGTH=137, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0,
SERVICE_TYPE: SCIENCE_DATA_TRANSFER = 21, SERVICE_SUBTYPE: SCIENCE_REPORT = 3, DESTINATION_ID: GROUND = 0,
TIME=0x800000049f61, PA_LFR_SID_PKT: SC_N_BP1_F1 =15, PA_BIA_MODE_MUX_SET: SET_0 =0, PA_BIA_MODE_HV_ENABLED:
DISABLED = 0, PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED: DISABLED =0,
PA_BIA_MODE_BIAS3_ENABLED: DISABLED =0, PA_BIA_ON_OFF: OFF = 0, PA_LFR_ACQUISITION_TIME=0x00009f61f2de, SPARE=0x0,
PA_LFR_N_BP1_BLK _NR_F1=13

09:46:06.272297, TM_LFR_SCIENCE_NORMAL_BP1_F1, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET =0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0xccc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=5, (PACKET_SEQUENCE_CONTROL=0xc005), PACKET_LENGTH=137, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0,
SERVICE_TYPE: SCIENCE_DATA_TRANSFER = 21, SERVICE_SUBTYPE: SCIENCE_REPORT = 3, DESTINATION_ID: GROUND = 0,
TIME=0x800000089f52, PA_LFR_SID_PKT: SC_N_BP1_F1 =15, PA_BIA_MODE_MUX_SET: SET_0 =0, PA_BIA_MODE_HV_ENABLED:
DISABLED = 0, PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED: DISABLED =0,
PA_BIA_MODE_BIAS3_ENABLED: DISABLED =0, PA_BIA_ON_OFF: OFF = 0, PA_LFR_ACQUISITION_TIME=0x00009f52f2de, SPARE=0x0,
PA_LFR_N_BP1_BLK _NR_F1=13

09:46:10.272488, TM_LFR_SCIENCE_NORMAL_BP1_F1, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET =0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0xccc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=8, (PACKET_SEQUENCE_CONTROL=0xc008), PACKET_LENGTH=137, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0,
SERVICE_TYPE: SCIENCE_DATA_TRANSFER = 21, SERVICE_SUBTYPE: SCIENCE_REPORT = 3, DESTINATION_ID: GROUND = 0,
TIME=0x8000000c9f43, PA_LFR_SID_PKT: SC_N_BP1_F1 =15, PA_BIA_MODE_MUX_SET: SET_0 =0, PA_BIA_MODE_HV_ENABLED:
DISABLED = 0, PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED: DISABLED =0,
PA_BIA_MODE_BIAS3_ENABLED: DISABLED =0, PA_BIA_ON_OFF: OFF = 0, PA_LFR_ACQUISITION_TIME=0x00009f43f2de, SPARE=0x0,
PA_LFR_N_BP1_BLK _NR_F1=13

Contexte:
LPPMON Version=0.2.2 - Branch=default - Changeset=835955994d5f

Carte mini-LFR: LFR-172200 dev V1.0; No série 5
Vhdl: 0.0.16
Soft: 1.0.0.7 (variante sur carte finale)

Brique Star-Dundee S/N 46120065.

Scripts utilisés :
SVS-0090/generate_science_all_modes.py (BKA)
Analyse des traces (script bash) = SVS-0090/extract_v1 (VBO)

RPW-SYS-MEB-LFR-ICD-00097 Issue2_Rev2
RPW-SYS-SSS-00013-LES + Annex_Release_Definition Issue2_rev2
RPW-SYS---ICD-00067-LES_Issue2_ Rev2 RPW_IDB_Parameter_Definition

#7 - 11/06/2014 02:09 PM - bruno katra

- Status changed from Resolved to Feedback

#8 - 12/06/2014 08:29 AM - paul leroy
- Status changed from Feedback to Resolved

- Assignee changed from paul leroy to bruno katra
fsw >=1.0.0.9

bug identifié et corrigé

#9 - 13/06/2014 04:26 PM - bruno katra

- Status changed from Resolved to Closed

Retesté en 1.0.0.9 : bug semble corrigé

15:04:37.486939, TM_LFR_SCIENCE_NORMAL_BP1_F1, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TM_PACKET = 0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET _ID=0xccc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=92, (PACKET_SEQUENCE_CONTROL=0xc05¢c), PACKET LENGTH=137, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0,
SERVICE_TYPE: SCIENCE_DATA TRANSFER = 21, SERVICE_SUBTYPE: SCIENCE_REPORT = 3, DESTINATION_ID: GROUND = 0,
TIME=0x800000cecd23, PA_LFR_SID_PKT: SC_N_BP1_F1 = 15, PA_BIA_MODE_MUX_SET: SET 0 =0, PA_BIA_ MODE_HV_ENABLED:
DISABLED = 0, PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED: DISABLED = 0,
PA_BIA_MODE_BIAS3_ENABLED: DISABLED = 0, PA_BIA_ON_OFF: OFF = 0, PA_LFR_ACQUISITION_TIME=0x800000cecd23, SPARE=0x0,
PA_LFR_N_BP1 BLK NR_F1=13
